=== d-i/source/localechooser/debian/changelog ===
localechooser (1.20ubuntu8) edgy; urgency=low

  * Fetch the previous language before processing preseeding, so that
    preseeding still works properly (closes: Malone #66532).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 12:58:44 +0100

localechooser (1.20ubuntu7) edgy; urgency=low

  * If the language question was already marked as seen and the answer
    didn't change, then don't recalculate the locale (closes: Malone #63569;
    also see Malone #60067).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Oct 2006 10:40:02 +0100

localechooser (1.20ubuntu6) edgy; urgency=low

  * Remove oem-config-locale package, moved into oem-config proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 16:37:08 +0100

localechooser (1.20ubuntu5) edgy; urgency=low

  * Ignore failures from locale-gen.
  * Backport from trunk:
    - Fix check-data target.
    - Fix incorrect field ordering in Finnish languagelist line.
  * Add encoding field to languagelist file and use the full SUPPORTED file
    rather than SUPPORTED-short, so that we can tell that (e.g.) se_NO and
    vi_VN are really UTF-8 locales (closes: Malone #47742).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Aug 2006 04:55:38 +0100

localechooser (1.20ubuntu4) edgy; urgency=low

  * Backport from trunk:
    - Fix mktemplates.country to avoid bashisms and reliance on multiple
      counterintuitive backslash expansions.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jul 2006 15:59:16 +0100

localechooser (1.20ubuntu3) edgy; urgency=low

  * Backport from trunk:
    - Fix mk_shortlist_templates to avoid literal "EN_DESCR" showing up in
      templates files when countrychooser/shortlist is untranslated in the
      associated language.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jul 2006 13:07:52 +0100

localechooser (1.20ubuntu2) edgy; urgency=low

  * Ignore errors while unregistering shortlist templates (e.g. not
    previously registered).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 14:52:50 +0100

localechooser (1.20ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 16:30:37 +0100

localechooser (1.20) unstable; urgency=low

  [ Christian Perrier ]
  * Add localized name for Malay
  * Add (commented) entry for Malay
  * Add localized name for Marathi
  * Add (commented) entry for Marathi
  * Switch Russian console to UTF-8 on the installed system
    Closes: #376414
  * Removed Standards-Version in control. Not meaningful for udebs

  [ Colin Watson ]
  * Put debhelper in Build-Depends rather than in Build-Depends-Indep.
  * Remove some dead code in locale2langname.
  * Never select C when preseeding debian-installer/locale=en_*.
  * Fix handling of debian-installer/locale preseeding to cope with
    languages that only have ll_CC in shortlists.
  * Fix bashism in mkshort leading to incorrect contents of shortlist
    templates when /bin/sh is dash.

 -- Christian Perrier <bubulle@debian.org>  Sat,  8 Jul 2006 08:12:49 +0200

localechooser (1.19ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Unregister shortlist templates before registering new ones, to ensure
    that the question gets effectively reset. The debconf specification does
    not say what happens when you re-register an existing template, and
    cdebconf and debconf have different (reasonable) interpretations;
    unregistration forces the old question to go away. This replaces
    previous hacks done for the benefit of oem-config.
  * Restore build-dependency on dash | ash, as dash is in Ubuntu's base
    system again.
  * Drop Default-$LANG.UTF-8: -> Default: shortlist template change, which
    is no longer needed thanks to the unregistration fix above.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 12:12:31 +0100

localechooser (1.19) unstable; urgency=low

  * Rename prebaseconfig progress template.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:04:00 -0400

localechooser (1.18) unstable; urgency=low

  * Rename the prebaseconfig script to "finish-install" and install
    it to /usr/lib/finish-install.d

  [ Updated translations ]
  * Lithuanian (lt.po) by Kestutis Biliūnas

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Jun 2006 15:01:16 +0700

localechooser (1.17) unstable; urgency=low

  * Activate Georgian in the language list

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Northern Sami (se.po) by Børre Gaup

 -- Christian Perrier <bubulle@debian.org>  Sun, 28 May 2006 16:12:44 +0200

localechooser (1.16) unstable; urgency=low

  * Activate Nepali in the language list

 -- Christian Perrier <bubulle@debian.org>  Thu, 18 May 2006 17:16:51 -0500

localechooser (1.15) unstable; urgency=low

  [ Christian Perrier ]
  * Add Valencian-Catalan to the languagelist (commented). Closes: #362502
  * Use critical priority for language and country questions. Closes: #367080

  [ Joey Hess ]
  * Remove some unnecessary logging of success and debug logging.
  * Discard locale-gen stdout.

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 May 2006 07:45:03 -0500

localechooser (1.14) unstable; urgency=low

  [ Christian Perrier ]
  * Use new "flag" comment feature of po-debconf to avoid "${SHORTLIST}" to
    be included in translation files

  [ Frans Pop ]
  * Old-style options for head/tail are no longer supported by new busybox.
  * Write locale to /etc/default/locale in /target instead of d-i environment.

 -- Christian Perrier <bubulle@debian.org>  Fri,  5 May 2006 15:38:51 +0200

localechooser (1.13) unstable; urgency=low

  [ Joey Hess ]
  * Fix inverted entry for Dzongkha in languagelist.l10n.
  * debian-installer/fallbacklocale question is internal use only, so
    don't mark translatable.
  * Remove unused debian-installer/invalidlocale template.


