=== d-i/source/user-setup/debian/changelog ===
user-setup (1.2ubuntu4) edgy; urgency=low

  * Backport from trunk (closes: Malone #50036):
    - Detect and error out on reserved usernames, i.e. those that are
      already used by some parts of the system. Unfortunately there's no
      particularly straightforward way to identify a reserved username, and
      the only way I can think of is to maintain a blacklist; so I've
      collated this from the base-passwd master files and those user and
      group names I found on some of my systems. Feel free to extend this as
      the need arises.
  * Backport from trunk (Christian Perrier):
    - Spell "username" consistently.
  * Update translations from trunk.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 14:37:38 +0100

user-setup (1.2ubuntu3) edgy; urgency=low

  * Remove oem-config module, moved back into oem-config proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 17:12:04 +0100

user-setup (1.2ubuntu2) edgy; urgency=low

  * Backport from trunk:
    - Fix non-POSIX shell use that confuses busybox if the root password is
      currently set to "!".

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jul 2006 10:56:39 +0100

user-setup (1.2ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Use "!" rather than "*" to lock the root password, in line with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Jul 2006 14:01:27 +0100

user-setup (1.2) unstable; urgency=low

  [ Christian Perrier ]
  * Space-indentation cleanup in user-setup-ask.
  * Switch from prebaseconfig.d to finish-install.d

  [ Joey Hess ]
  * Comment out STATE debugging message.
  * Check for the passwd file before grepping it.

  [ Colin Watson ]
  * Be more paranoid about clearing passwords from the cdebconf database.
  * Fix up permissions of user's home directory in case a mount point was
    created underneath it by partman (closes:
    https://launchpad.net/bugs/16640).

  [ Joey Hess ]
  * Rename finish-install template.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Italian (it.po) by Giuseppe Sacco
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Portuguese (pt.po) by Miguel Figueiredo
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:13:44 -0400

user-setup (1.1ubuntu4) dapper-security; urgency=low

  * Refuse to apply an empty root password, which can happen if
    user-setup-apply is run twice due to backing up from prebaseconfig's
    final message (closes: Malone #48350).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 17:43:34 +0100

user-setup (1.1ubuntu3) dapper; urgency=low

  * Fix breakage in Traditional Chinese translation (thanks, Tetralet).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 May 2006 14:40:02 +0100

user-setup (1.1ubuntu2) dapper; urgency=low

  * Backport from trunk (closes: Malone #16640):
    - Fix up permissions of user's home directory in case a mount point was
      created underneath it by partman.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 17:03:06 +0100

user-setup (1.1ubuntu1) dapper; urgency=low

  * Resynchronise with Debian for new root-login question (closes: Malone
    #16139).
  * Default passwd/root-login to false to match previous Ubuntu behaviour.
  * As in previous Ubuntu versions, lock root password with "*", not "!".
    I'm not sure what would happen if I changed this right before the
    release of Dapper, but I don't want to find out.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 15:49:57 +0100

user-setup (1.1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Don't use perl to pass parameters to chpasswd.

  [ Joey Hess ]
  * Add passwd/root-login question (asked at medium priority), currently
    defaulting to true.
  * If root-login is false, skip root password prompts, lock the root account,
    always make a user account, install sudo, and configure /etc/sudoers to
    allow the user to become root. Closes: #344873

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Dafydd Harries
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Sonam Rinchen
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Irish (ga.po) by Kevin Patrick Scannell
  * Galician (gl.po) by Jacobo Tarrio
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Leang Chumsoben
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis

