=== debian/changelog ===
oem-config (1.8) edgy; urgency=low

  [ Colin Watson ]
  * Remove /var/lib/kdm/kdmsts in oem-config-firstboot after removing the
    oem user; KDM stores the default user there.
  * Automatic update of included source packages: console-setup 1.7ubuntu19,
    localechooser 1.20ubuntu8, user-setup 1.2ubuntu4.

  [ Anirudh Ramesh ]
  * KDE frontend: Fixed bug where set_country combobox was not being
    updated.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Oct 2006 00:36:15 +0100

oem-config (1.7) edgy; urgency=low

  * Add oem-config-udeb/frontend question, defaulting to gtk; preseed this
    to install a different oem-config frontend on the target system (closes:
    Malone #62777).
  * Wait more or less properly by means of SIGUSR1 for the X server to start
    up, rather than arbitrarily sleeping for five seconds.
  * Don't actually import the frontend module in oem-config-dm; merely check
    whether it exists. Otherwise, at least gtk will try to contact the X
    server at import time and get very confused when it predictably isn't
    there (closes: Malone #62814).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 22:04:48 +0100

oem-config (1.6) edgy; urgency=low

  * Add /usr/lib/oem-config to sys.path in oem-config-dm so that it can
    import frontend modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Sep 2006 13:38:57 +0100

oem-config (1.5) edgy; urgency=low

  * Fix syntax error in oem-config-dm.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Sep 2006 10:45:58 +0100

oem-config (1.4) edgy; urgency=low

  [ Anirudh Ramesh ]
  * KDE frontend: Reindented to match rest of project.
  * KDE frontend: Fixed crash in set_timezone.

  [ Colin Watson ]
  * Add frontend detection to oem-config-dm, so that KDE support can be
    filled in.

  [ Anirudh Ramesh ]
  * Add KDE support to oem-config-dm.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 12:13:59 +0100

oem-config (1.3) edgy; urgency=low

  * Import subprocess in console-setup component (closes: Malone #60409).
  * Fix language name handling (closes: Malone #60410).
  * GTK frontend: Make the Forward button the default widget so that it's
    activated when Enter is pressed.
  * Add kde-ui to default frontend search list.
  * Automatic update of included source packages: console-setup 1.7ubuntu9.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Sep 2006 14:26:02 +0100

oem-config (1.2) edgy; urgency=low

  * Merge from ubiquity:
    - Move from kbd-chooser to console-setup
      (https://launchpad.net/distros/ubuntu/+spec/sane-installer-keyboard).
      We still need to add a UI element for the keyboard variant, and
      translations of layout and variant names are missing, but it mostly
      seems to work.
    - Strip Fonts and Keyboard directories from our copy of console-setup;
      they're very large, and not needed since we don't actually build
      console-setup, but just copy a few scripts from it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 20:33:41 +0100

oem-config (1.1) edgy; urgency=low

  * Merge KDE frontend from Anirudh Ramesh.
  * Automatic update of included source packages: kbd-chooser 1.30ubuntu1,
    localechooser 1.20ubuntu6, tzsetup 1:0.10ubuntu2, user-setup 1.2ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Sep 2006 17:24:33 +0100

oem-config (1.0) edgy; urgency=low

  * Reorganise oem-config to have a reasonable frontend/backend separation,
    thereby allowing for a future KDE port. This involved updating much of
    the core to look more like ubiquity (since ubiquity's core was an
    evolution of oem-config's), and a new UI using a single window/notebook
    rather than a succession of dialogs.
  * Casualties of this work include the whole base-config-like menu
    structure and the include/exclude mechanism. The menu structure made it
    difficult to avoid spawning a new dialog for each step, which was a poor
    UI; I don't believe the include/exclude mechanism was heavily used, but
    contact me if you were relying on it and it may be possible to restore
    it in a new form.
  * I haven't yet ported the new i18n infrastructure from ubiquity, so the
    oem-config UI will be untranslated.
  * Like ubiquity, we now incorporate source for all d-i components we use
    under d-i/source/ and include them directly in our binary package,
    reducing the number of complex interdependencies with d-i packages.
    'debian/rules update' can be used to do automatic updates of these
    copied source packages.
  * Remove some leftover code that dealt with restoring the inittab, as we
    don't do the temporary inittab thing any more.
  * Fix kbd-chooser wrapper script to actually install the selected keymap
    (though only for the console at present).
  * Move from prebaseconfig to finish-install.
  * Make oem-config Architecture: any, since it now includes kbd-chooser
    binaries.
  * Add an oem-config-gtk package for the GTK frontend.
  * Convert to python-support.
  * Fix apt-install compatibility wrapper to use debconf's noninteractive
    frontend, tell debconf not to send e-mail, avoid upgrading, ignore GPG
    time conflicts, and suppress prompts.
  * Update localechooser wrapper to handle /etc/default/locale (based on
    localechooser 0.19) and to use /usr/share/i18n/SUPPORTED (based on
    localechooser 1.20ubuntu5).
  * Make more of an effort to display translated country names.
  * Use /bin/bash for user-setup due to a dash test(1) bug.
  * Language names are now sorted according to the local name for each
    language (closes: Malone #47724).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 16:26:07 +0100
