=== debian/rules ===
#! /usr/bin/make -f

tmp = $(CURDIR)/debian/oem-config

update:
	$(MAKE) -C d-i update

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/KeyboardNames.pl
	d-i/make-keyboard-names $< > $@

build: lib/keyboard_names.py
	$(MAKE) -C d-i build

clean:
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	$(MAKE) -C d-i clean
	dh_clean lib/keyboard_names.py

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed 's,/usr/share/console-setup-mini,/usr/lib/oem-config/console-setup,g' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console-setup/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console-setup/console-setup.postinst
	sed 's,/usr/share/tzsetup,/usr/lib/oem-config/timezone,g' \
		d-i/source/tzsetup/tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/tzsetup
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/tzsetup
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_pysupport -a
	dh_python -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_pysupport -i /usr/lib/oem-config
	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary
